import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  fileId: z.literal(true).optional(),
  seq: z.literal(true).optional(),
  data: z.literal(true).optional(),
  createdAt: z.literal(true).optional()
}).strict();
export const CloudFileChunkMinAggregateInputObjectSchema: z.ZodType<Prisma.CloudFileChunkMinAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileChunkMinAggregateInputType>;
export const CloudFileChunkMinAggregateInputObjectZodSchema = makeSchema();
